> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runaether.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Update workspace settings



## OpenAPI

````yaml api-reference/openapi.json PATCH /workspaces/{workspaceID}
openapi: 3.1.0
info:
  title: Aether API
  version: 0.1.0
servers:
  - url: https://api.runaether.dev
security:
  - bearerAuth: []
paths:
  /workspaces/{workspaceID}:
    patch:
      tags:
        - workspaces
      summary: Update workspace settings
      operationId: updateWorkspace
      parameters:
        - in: path
          name: workspaceID
          required: true
          schema:
            format: uuid
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateWorkspaceRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                additionalProperties: false
                properties:
                  created_at:
                    minLength: 1
                    type: string
                  display_state:
                    enum:
                      - deleted
                      - idle
                      - starting
                      - stopping
                      - suspending
                      - ready
                      - preparing
                      - error
                      - stopped
                      - suspended
                    type: string
                  error_message:
                    minLength: 1
                    type: string
                  git_ref:
                    minLength: 1
                    type: string
                  hardware:
                    $ref: '#/components/schemas/HardwareConfig'
                  has_active_lease:
                    type: boolean
                  has_open_runtime_interval:
                    type: boolean
                  id:
                    format: uuid
                    type: string
                  is_deleted:
                    type: boolean
                  keep_active:
                    type: boolean
                  last_accessed_at:
                    minLength: 1
                    type: string
                  last_shutdown_at:
                    minLength: 1
                    type: string
                  last_started_at:
                    minLength: 1
                    type: string
                  machine_id:
                    minLength: 1
                    type: string
                  observed_state:
                    enum:
                      - absent
                      - running
                      - suspended
                      - stopped
                      - destroyed
                    type: string
                  previews:
                    items:
                      $ref: '#/components/schemas/DeclaredPreview'
                    type: array
                  private_ip:
                    minLength: 1
                    type: string
                  project_id:
                    format: uuid
                    type: string
                  runtime_class_id:
                    minLength: 1
                    type: string
                  startable:
                    type: boolean
                  task_id:
                    format: uuid
                    type: string
                  updated_at:
                    minLength: 1
                    type: string
                required:
                  - id
                  - project_id
                  - is_deleted
                  - has_active_lease
                  - observed_state
                  - has_open_runtime_interval
                  - display_state
                  - startable
                  - previews
                  - runtime_class_id
                  - hardware
                  - keep_active
                  - created_at
                  - updated_at
                type: object
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkspacesErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkspacesErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/OrgAuthorizationErrorResponse'
                  - $ref: '#/components/schemas/ControlForbiddenErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkspacesErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkspacesErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkspacesErrorResponse'
          description: Internal Server Error
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkspacesErrorResponse'
          description: Service Unavailable
components:
  schemas:
    UpdateWorkspaceRequest:
      additionalProperties: false
      properties:
        keep_active:
          type: boolean
        vm_size:
          enum:
            - small
            - medium
            - large
          type: string
      type: object
    HardwareConfig:
      additionalProperties: false
      properties:
        cpu_kind:
          enum:
            - shared
            - performance
          type: string
        cpus:
          format: int64
          maximum: 16
          minimum: 1
          type: integer
        gpu_kind:
          enum:
            - a10
            - l40s
            - a100-40gb
            - a100-80gb
          type:
            - string
            - 'null'
        memory_mb:
          format: int64
          maximum: 32768
          minimum: 256
          type: integer
        volume_size_gb:
          format: int64
          maximum: 500
          minimum: 1
          type: integer
      required:
        - cpu_kind
        - cpus
        - memory_mb
        - volume_size_gb
        - gpu_kind
      type: object
    DeclaredPreview:
      additionalProperties: false
      properties:
        name:
          maxLength: 200
          minLength: 1
          pattern: \S
          type: string
        port:
          maximum: 65535
          minimum: 1
          type: integer
        url:
          format: uri
          type: string
      required:
        - name
        - port
        - url
      type: object
    WorkspacesErrorResponse:
      additionalProperties: false
      properties:
        code:
          enum:
            - account_deleting
            - bad_gateway
            - bad_request
            - conflict
            - control_forbidden
            - forbidden
            - gateway_timeout
            - gone
            - internal_error
            - method_not_allowed
            - not_acceptable
            - not_found
            - not_implemented
            - org_role_insufficient
            - org_suspended
            - payment_required
            - precondition_failed
            - preview_auth_command_failed
            - preview_auth_invalid_output
            - preview_auth_not_auto
            - preview_auth_not_declared
            - preview_auth_output_too_large
            - preview_auth_rate_limited
            - preview_auth_timeout
            - preview_auth_workspace_upgrade_required
            - rate_limited
            - request_canceled
            - request_timeout
            - request_too_large
            - service_unavailable
            - task_creator_deleted
            - unauthenticated
            - unsupported_media_type
            - validation_failed
            - workspace_not_running
            - workspace_preview_auth_service_not_ready
          minLength: 1
          type: string
        error:
          minLength: 1
          type: string
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
      required:
        - error
        - code
      type: object
    OrgAuthorizationErrorResponse:
      additionalProperties: false
      properties:
        code:
          enum:
            - org_membership_required
            - org_role_insufficient
            - org_suspended
            - account_deleting
            - agent_host_route_not_allowed
            - credential_kind_not_admitted
          type: string
        error:
          minLength: 1
          type: string
      required:
        - error
        - code
      type: object
    ControlForbiddenErrorResponse:
      additionalProperties: false
      properties:
        code:
          enum:
            - control_forbidden
          type: string
        error:
          minLength: 1
          type: string
      required:
        - error
        - code
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.